{lib, outputs, ...}: {
  imports = [
    # Base configs
    ./../../base.nix

    # Import users and groups
    ./../../users/jimbo.nix
    ./../../users/groups.nix

    # Desktop
    ./../../desktop/misc.nix
    ./../../desktop/sway.nix
    ./../../desktop/greetd-sway.nix
    ./../../desktop/printing.nix
    ./../../desktop/pipewire.nix
    ./../../desktop/bluetooth.nix
    ./../../desktop/firewall.nix
    ./../../desktop/fonts.nix
    ./../../desktop/qt.nix
    ./../../desktop/wireguard.nix

    # Modules
    ./../../modules/security.nix

    # Hardware
    ./hardware-configuration.nix
    ./../../modules/extlinux.nix
    ./../../modules/opengl.nix
    ./../../modules/filesystems.nix
    ./../../modules/wireless.nix

    # Services
    ./../../services/openssh.nix
    ./../../services/gnome-keyring.nix
    ./../../services/mpd.nix
  ];

  # Set hostname
  networking.hostName = "JimPine";

  # Disable 32 bit graphics
  hardware.opengl.driSupport32Bit = lib.mkForce false;

  # Set the VPN IP per machine
  networking.wireguard.interfaces."${outputs.ips.wgInt}".ips = [ "${outputs.ips.wgSpan}.17/32" ];

  # https://nixos.wiki/wiki/FAQ/When_do_I_update_stateVersion
  system.stateVersion = "24.05";
}
