{ config, outputs, lib, pkgs, modulesPath, ... }:

{
  imports = [ (modulesPath + "/installer/scan/not-detected.nix") ];

  boot = {
    initrd = {
      availableKernelModules = [ ];
      kernelModules = [ ];
    };
    blacklistedKernelModules = [
      "pcspkr"
    ];               
  };

  fileSystems = {
    "/" = {
      device = "/dev/disk/by-uuid/25738e24-385e-4bcf-bff5-d0e6274003b6";
      fsType = "btrfs";
    };
    "/boot" = {
      device = "/dev/disk/by-uuid/01D2-E962";
      fsType = "vfat";
      options = [ "fmask=0022" "dmask=0022" ];
    };
    "/home/jimbo/Downloads" = {
      device = "/dev/disk/by-uuid/f0b6cf4e-9576-4ab5-96ae-2a7e57599a35";
      fsType = "btrfs";
    };
    "/home/jimbo/JimboNFS" = {
      device = "${outputs.ips.wgSpan}.1:/export/JimboNFS";
      fsType = "nfs4";
      options = ["x-systemd.automount" "_netdev" "nofail" "noauto"];
    };
    "/home/jimbo/FreecornNFS" = {
      device = "${outputs.secrets.cornIP}:/export/freecornNFS";
      fsType = "nfs4";
      options = ["x-systemd.automount" "_netdev" "nofail" "noauto"];
    };
  };

  swapDevices = [
    { device = "/dev/disk/by-uuid/95c43e5a-b53d-41fd-99a3-54181510070e"; }
  ];

  networking.useDHCP = lib.mkDefault true;
  nixpkgs.hostPlatform = lib.mkDefault "aarch64-linux";
}
